=== modified file 'Makefile.am'
--- Makefile.am	2009-12-23 09:02:16 +0000
+++ Makefile.am	2009-12-23 09:21:06 +0000
@@ -90,7 +90,6 @@
 		client/get_password.h \
 		client/linebuffer.h \
 		drizzled/configmake.h \
-		mystrings/m_ctype.h \
 		mystrings/m_string.h \
 		mystrings/my_uctype.h \
 		mystrings/t_ctype.h \

=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-12-23 08:01:21 +0000
+++ client/drizzle.cc	2009-12-23 09:21:06 +0000
@@ -41,7 +41,7 @@
 #include <algorithm>
 #include <limits.h>
 #include <cassert>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <stdarg.h>
 #include <math.h>
 #include "client/linebuffer.h"

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2009-12-02 06:01:21 +0000
+++ client/drizzledump.cc	2009-12-23 09:21:06 +0000
@@ -34,7 +34,7 @@
 
 #include <mysys/my_sys.h>
 #include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include "drizzled/hash.h"
 #include <stdarg.h>
 #include <algorithm>

=== modified file 'drizzled/charset-def.cc'
--- drizzled/charset-def.cc	2009-12-23 08:01:21 +0000
+++ drizzled/charset-def.cc	2009-12-23 09:21:06 +0000
@@ -15,7 +15,7 @@
 
 #include "config.h"
 #include "drizzled/charset.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 
 
 /*

=== modified file 'drizzled/charset.cc'
--- drizzled/charset.cc	2009-12-23 08:01:21 +0000
+++ drizzled/charset.cc	2009-12-23 09:21:06 +0000
@@ -17,7 +17,7 @@
 
 #include "drizzled/charset.h"
 #include "drizzled/my_error.h"
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <mystrings/m_string.h>
 #include <drizzled/configmake.h>
 #include <vector>

=== renamed file 'mystrings/m_ctype.h' => 'drizzled/charset_info.h'
--- mystrings/m_ctype.h	2009-12-04 02:29:12 +0000
+++ drizzled/charset_info.h	2009-12-23 09:21:06 +0000
@@ -17,10 +17,9 @@
   A better inplementation of the UNIX ctype(3) library.
 */
 
-#ifndef MYSTRINGS_M_CTYPE_H
-#define MYSTRINGS_M_CTYPE_H
+#ifndef DRIZZLED_CHARSET_INFO_H
+#define DRIZZLED_CHARSET_INFO_H
 
-#include <stdint.h>
 #include <sys/types.h>
 
 #ifdef	__cplusplus
@@ -709,4 +708,4 @@
 }
 #endif
 
-#endif /* MYSTRINGS_M_CTYPE_H */
+#endif /* DRIZZLED_CHARSET_INFO_H */

=== modified file 'drizzled/decimal.cc'
--- drizzled/decimal.cc	2009-12-23 09:02:16 +0000
+++ drizzled/decimal.cc	2009-12-23 09:21:06 +0000
@@ -101,7 +101,7 @@
 
 #include "drizzled/definitions.h"
 #include "mystrings/m_string.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 #include "drizzled/decimal.h"
 
 #include <plugin/myisam/myisampack.h>

=== modified file 'drizzled/dtcollation.cc'
--- drizzled/dtcollation.cc	2009-12-23 08:01:21 +0000
+++ drizzled/dtcollation.cc	2009-12-23 09:21:06 +0000
@@ -22,7 +22,7 @@
 
 #include <drizzled/definitions.h>
 #include <mysys/my_sys.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/error.h>
 #include <drizzled/function/str/conv_charset.h>
 #include <drizzled/session.h>

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2009-12-22 22:13:48 +0000
+++ drizzled/field.h	2009-12-23 09:21:06 +0000
@@ -31,7 +31,7 @@
 #include "drizzled/sql_bitmap.h"
 #include "drizzled/sql_list.h"
 #include "drizzled/structs.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 
 #include <string>
 #include <vector>

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2009-12-23 09:02:16 +0000
+++ drizzled/include.am	2009-12-23 09:21:06 +0000
@@ -44,6 +44,7 @@
 		drizzled/cached_item.h \
 		drizzled/calendar.h \
 		drizzled/charset.h \
+		drizzled/charset_info.h \
 		drizzled/check_stack_overrun.h \
 		drizzled/common.h \
 		drizzled/comp_creator.h \

=== modified file 'drizzled/my_hash.cc'
--- drizzled/my_hash.cc	2009-12-23 08:01:21 +0000
+++ drizzled/my_hash.cc	2009-12-23 09:21:06 +0000
@@ -24,7 +24,7 @@
 #include "config.h"
 #include "drizzled/my_hash.h"
 #include "drizzled/charset.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 
 const uint32_t NO_RECORD= UINT32_MAX;
 

=== modified file 'drizzled/my_time.cc'
--- drizzled/my_time.cc	2009-12-22 22:38:18 +0000
+++ drizzled/my_time.cc	2009-12-23 09:21:06 +0000
@@ -18,7 +18,7 @@
 #include "my_time.h"
 
 #include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/util/test.h>
 
 #include <stdio.h>

=== modified file 'drizzled/sql_locale.cc'
--- drizzled/sql_locale.cc	2009-12-23 08:01:21 +0000
+++ drizzled/sql_locale.cc	2009-12-23 09:21:06 +0000
@@ -21,7 +21,7 @@
 #include <cassert>
 #include "drizzled/sql_locale.h"
 #include "drizzled/typelib.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 
 /***** LOCALE BEGIN ar_AE: Arabic - United Arab Emirates *****/
 static const char *my_locale_month_names_ar_AE[13] =

=== modified file 'drizzled/sql_parse.h'
--- drizzled/sql_parse.h	2009-12-21 07:47:46 +0000
+++ drizzled/sql_parse.h	2009-12-23 09:21:06 +0000
@@ -26,7 +26,6 @@
 #include "drizzled/comp_creator.h"
 #include <drizzled/table_identifier.h>
 
-#include "mystrings/m_ctype.h"
 
 class Session;
 class TableList;
@@ -36,6 +35,8 @@
 class Table_ident;
 class Select_Lex;
 
+typedef struct charset_info_st CHARSET_INFO;
+
 extern const LEX_STRING command_name[];
 
 bool execute_sqlcom_select(Session *session, TableList *all_tables);

=== modified file 'drizzled/strfunc.cc'
--- drizzled/strfunc.cc	2009-12-23 08:01:21 +0000
+++ drizzled/strfunc.cc	2009-12-23 09:21:06 +0000
@@ -18,7 +18,7 @@
 
 #include "drizzled/strfunc.h"
 #include "drizzled/typelib.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 #include "drizzled/global_charset_info.h"
 
 /*

=== modified file 'drizzled/temporal.cc'
--- drizzled/temporal.cc	2009-12-11 21:54:18 +0000
+++ drizzled/temporal.cc	2009-12-23 09:21:06 +0000
@@ -36,7 +36,7 @@
 
 #include "config.h"
 
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 #include "drizzled/my_decimal.h"
 #include "drizzled/calendar.h"
 #include "drizzled/temporal.h"

=== modified file 'drizzled/typelib.cc'
--- drizzled/typelib.cc	2009-12-23 08:01:21 +0000
+++ drizzled/typelib.cc	2009-12-23 09:21:06 +0000
@@ -17,7 +17,7 @@
 
 #include "mysys/mysys_priv.h"
 #include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <stdio.h>
 
 

=== modified file 'drizzled/xid.cc'
--- drizzled/xid.cc	2009-12-23 08:01:21 +0000
+++ drizzled/xid.cc	2009-12-23 09:21:06 +0000
@@ -25,7 +25,7 @@
 #include "mysys/my_pthread.h"
 #include "drizzled/charset.h"
 #include "drizzled/global_charset_info.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 
 XID::XID()
 {}

=== modified file 'mystrings/ctype-bin.cc'
--- mystrings/ctype-bin.cc	2009-12-11 21:54:18 +0000
+++ mystrings/ctype-bin.cc	2009-12-23 09:21:06 +0000
@@ -20,8 +20,8 @@
 
 #include "config.h"
 #include "drizzled/definitions.h"
-#include "m_string.h"
-#include "m_ctype.h"
+#include "mystrings/m_string.h"
+#include "drizzled/charset_info.h"
 
 #include <algorithm>
 

=== modified file 'mystrings/ctype-mb.cc'
--- mystrings/ctype-mb.cc	2009-12-11 21:54:18 +0000
+++ mystrings/ctype-mb.cc	2009-12-23 09:21:06 +0000
@@ -15,8 +15,8 @@
 
 #include "config.h"
 
-#include "m_string.h"
-#include "m_ctype.h"
+#include "mystrings/m_string.h"
+#include "drizzled/charset_info.h"
 
 #include <algorithm>
 

=== modified file 'mystrings/ctype-simple.cc'
--- mystrings/ctype-simple.cc	2009-12-11 21:54:18 +0000
+++ mystrings/ctype-simple.cc	2009-12-23 09:21:06 +0000
@@ -15,13 +15,13 @@
 
 #include "config.h"
 
-#include "m_string.h"
-#include "m_ctype.h"
-#include <errno.h>
-#include <stdio.h>
-#include <stdlib.h>
+#include "mystrings/m_string.h"
+#include "drizzled/charset_info.h"
+#include <cerrno>
+#include <cstdio>
+#include <cstdlib>
 
-#include "stdarg.h"
+#include <stdarg.h>
 
 #include <algorithm>
 

=== modified file 'mystrings/ctype-uca.cc'
--- mystrings/ctype-uca.cc	2009-12-11 21:54:18 +0000
+++ mystrings/ctype-uca.cc	2009-12-23 09:21:06 +0000
@@ -33,8 +33,8 @@
 
 
 #include "config.h"
-#include "m_ctype.h"
-#include "m_string.h"
+#include "drizzled/charset_info.h"
+#include "mystrings/m_string.h"
 #include <stdio.h>
 
 #include <algorithm>

=== modified file 'mystrings/ctype-utf8.cc'
--- mystrings/ctype-utf8.cc	2009-12-11 21:54:18 +0000
+++ mystrings/ctype-utf8.cc	2009-12-23 09:21:06 +0000
@@ -21,7 +21,7 @@
 #include "config.h"
 
 #include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <errno.h>
 
 #include <algorithm>

=== modified file 'mystrings/ctype.cc'
--- mystrings/ctype.cc	2009-05-15 19:17:03 +0000
+++ mystrings/ctype.cc	2009-12-23 09:21:06 +0000
@@ -13,8 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#include "m_string.h"
-#include "m_ctype.h"
+#include "mystrings/m_string.h"
+#include "drizzled/charset_info.h"
 
 
 /*

=== modified file 'mysys/default.cc'
--- mysys/default.cc	2009-12-22 08:48:52 +0000
+++ mysys/default.cc	2009-12-23 09:21:06 +0000
@@ -35,7 +35,7 @@
 
 #include "mysys/mysys_priv.h"
 #include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/configmake.h>
 #include <drizzled/gettext.h>
 

=== modified file 'mysys/my_init.cc'
--- mysys/my_init.cc	2009-12-23 08:01:21 +0000
+++ mysys/my_init.cc	2009-12-23 09:21:06 +0000
@@ -17,7 +17,7 @@
 #include "my_static.h"
 #include "drizzled/my_error.h"
 #include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include "drizzled/charset.h"
 #include <cstdio>
 #include <cstdlib>

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-12-23 08:42:15 +0000
+++ mysys/my_sys.h	2009-12-23 09:21:06 +0000
@@ -31,7 +31,7 @@
 
 #include <mysys/my_pthread.h>
 
-#include <mystrings/m_ctype.h>                    /* for CHARSET_INFO */
+#include "drizzled/charset_info.h"                    /* for CHARSET_INFO */
 #include <stdarg.h>
 #include "drizzled/typelib.h"
 #include <mysys/aio_result.h>

=== removed file 'mysys/test_charset.cc'
--- mysys/test_charset.cc	2008-11-07 00:35:38 +0000
+++ mysys/test_charset.cc	1970-01-01 00:00:00 +0000
@@ -1,88 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include <my_global.h>
-#include <m_ctype.h>
-#include <my_sys.h>
-#include <mysql_version.h>
-
-#include <stdio.h>
-
-static void _print_array(uint8 *data, uint32_t size)
-{
-  uint32_t i;
-  for (i = 0; i < size; ++i)
-  {
-    if (i == 0 || i % 16 == size % 16) printf("  ");
-    printf(" %02x", data[i]);
-    if ((i+1) % 16 == size % 16) printf("\n");
-  }
-}
-
-static void _print_csinfo(CHARSET_INFO *cs)
-{
-  printf("%s #%d\n", cs->name, cs->number);
-  printf("ctype:\n"); _print_array(cs->ctype, 257);
-  printf("to_lower:\n"); _print_array(cs->to_lower, 256);
-  printf("to_upper:\n"); _print_array(cs->to_upper, 256);
-  printf("sort_order:\n"); _print_array(cs->sort_order, 256);
-  printf("collate:    %3s (%d, %p, %p, %p)\n",
-         cs->strxfrm_multiply ? "yes" : "no",
-         cs->strxfrm_multiply,
-         cs->strnncoll,
-         cs->strnxfrm,
-         cs->like_range);
-  printf("multi-byte: %3s (%d, %p, %p, %p)\n",
-         cs->mbmaxlen > 1 ? "yes" : "no",
-         cs->mbmaxlen,
-         cs->ismbchar,
-         cs->ismbhead,
-         cs->mbcharlen);
-}
-
-
-int main(int argc, char **argv) {
-  const char *the_set = DRIZZLE_CHARSET;
-  char *cs_list;
-  int argcnt = 1;
-  CHARSET_INFO *cs;
-
-  my_init();
-
-  if (argc > argcnt)
-    the_set = argv[argcnt++];
-
-  if (argc > argcnt)
-    charsets_dir = argv[argcnt++];
-
-  if (!(cs= get_charset_by_name(the_set, MYF(MY_WME))))
-    return 1;
-
-  puts("CHARSET INFO:");
-  _print_csinfo(cs);
-  fflush(stdout);
-
-#ifdef NOT_USED_ANYMORE
-  cs_list = list_charsets(MYF(MY_CS_COMPILED | MY_CS_CONFIG));
-  printf("LIST OF CHARSETS (compiled + *.conf):\n%s\n", cs_list);
-  free(cs_list);
-
-  cs_list = list_charsets(MYF(MY_CS_INDEX | MY_CS_LOADED));
-  printf("LIST OF CHARSETS (index + loaded):\n%s\n", cs_list);
-  free(cs_list);
-#endif
-
-  return 0;
-}

=== modified file 'plugin/archive/archive_reader.cc'
--- plugin/archive/archive_reader.cc	2009-12-23 08:01:21 +0000
+++ plugin/archive/archive_reader.cc	2009-12-23 09:21:06 +0000
@@ -26,7 +26,7 @@
 #include <stdio.h>
 #include <stdarg.h>
 #include <fcntl.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <mystrings/m_string.h>
 #include "drizzled/my_getopt.h"
 

=== modified file 'plugin/heap/heap_priv.h'
--- plugin/heap/heap_priv.h	2009-12-23 08:01:21 +0000
+++ plugin/heap/heap_priv.h	2009-12-23 09:21:06 +0000
@@ -21,7 +21,7 @@
 #include <drizzled/base.h>
 
 #include <mysys/my_sys.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <mysys/my_pthread.h>
 #include "heap.h"			/* Structs & some defines */
 #include "drizzled/my_tree.h"

=== modified file 'plugin/heap/hp_hash.cc'
--- plugin/heap/hp_hash.cc	2009-12-23 08:01:21 +0000
+++ plugin/heap/hp_hash.cc	2009-12-23 09:21:06 +0000
@@ -17,7 +17,7 @@
 
 #include "heap_priv.h"
 
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/util/test.h>
 
 #include <math.h>

=== modified file 'plugin/innobase/dict/dict0dict.c'
--- plugin/innobase/dict/dict0dict.c	2009-09-03 17:42:33 +0000
+++ plugin/innobase/dict/dict0dict.c	2009-12-23 09:21:06 +0000
@@ -53,7 +53,7 @@
 #include "rem0cmp.h"
 #include "row0merge.h"
 #if defined(BUILD_DRIZZLE)
-# include "mystrings/m_ctype.h"
+# include "drizzled/charset_info.h"
 #else
 # include "m_ctype.h" /* my_isspace() */
 #endif /* BUILD_DRIZZLE */

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-12-23 08:01:21 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-12-23 09:21:06 +0000
@@ -64,7 +64,7 @@
 
 #include "drizzled/error.h"
 #include "drizzled/errmsg_print.h"
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 #include "mystrings/m_string.h"
 #include "mysys/my_sys.h"
 #include "drizzled/my_hash.h"

=== modified file 'plugin/innobase/handler/handler0alter.cc'
--- plugin/innobase/handler/handler0alter.cc	2009-12-23 08:01:21 +0000
+++ plugin/innobase/handler/handler0alter.cc	2009-12-23 09:21:06 +0000
@@ -23,7 +23,7 @@
 
 #include "config.h"
 #include <drizzled/error.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/field.h>
 #include <drizzled/table.h>
 #include <drizzled/field/varstring.h>

=== modified file 'plugin/innobase/handler/i_s.cc'
--- plugin/innobase/handler/i_s.cc	2009-12-23 08:01:21 +0000
+++ plugin/innobase/handler/i_s.cc	2009-12-23 09:21:06 +0000
@@ -25,7 +25,7 @@
 
 #include "config.h"
 #include <drizzled/error.h>
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <mysys/my_sys.h>
 #include <drizzled/my_hash.h>
 #include "drizzled/my_error.h"

=== modified file 'plugin/innobase/include/ha_prototypes.h'
--- plugin/innobase/include/ha_prototypes.h	2009-10-22 19:57:19 +0000
+++ plugin/innobase/include/ha_prototypes.h	2009-12-23 09:21:06 +0000
@@ -29,7 +29,7 @@
 
 #include "trx0types.h"
 #if defined(BUILD_DRIZZLE)
-# include "mystrings/m_ctype.h"
+# include "drizzled/charset_info.h"
 #else
 # include "m_ctype.h" /* CHARSET_INFO */
 

=== modified file 'plugin/myisam/mi_key.cc'
--- plugin/myisam/mi_key.cc	2009-12-23 08:01:21 +0000
+++ plugin/myisam/mi_key.cc	2009-12-23 09:21:06 +0000
@@ -16,7 +16,7 @@
 /* Functions to handle keys */
 
 #include "myisam_priv.h"
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #ifdef HAVE_IEEEFP_H
 #include <ieeefp.h>
 #endif

=== modified file 'plugin/myisam/mi_locking.cc'
--- plugin/myisam/mi_locking.cc	2009-12-23 08:01:21 +0000
+++ plugin/myisam/mi_locking.cc	2009-12-23 09:21:06 +0000
@@ -21,7 +21,7 @@
 */
 
 #include "myisam_priv.h"
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/util/test.h>
 
 using namespace std;

=== modified file 'plugin/myisam/mi_open.cc'
--- plugin/myisam/mi_open.cc	2009-12-23 08:01:21 +0000
+++ plugin/myisam/mi_open.cc	2009-12-23 09:21:06 +0000
@@ -20,7 +20,7 @@
 #include <string.h>
 #include <algorithm>
 
-#include "mystrings/m_ctype.h"
+#include "drizzled/charset_info.h"
 #include "mystrings/m_string.h"
 #include "drizzled/util/test.h"
 #include "drizzled/global_charset_info.h"

=== modified file 'plugin/myisam/mi_search.cc'
--- plugin/myisam/mi_search.cc	2009-12-23 08:01:21 +0000
+++ plugin/myisam/mi_search.cc	2009-12-23 09:21:06 +0000
@@ -16,7 +16,7 @@
 /* key handling functions */
 
 #include "myisam_priv.h"
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <mystrings/m_string.h>
 #include <drizzled/util/test.h>
 

=== modified file 'plugin/myisam/mi_unique.cc'
--- plugin/myisam/mi_unique.cc	2009-12-23 08:01:21 +0000
+++ plugin/myisam/mi_unique.cc	2009-12-23 09:21:06 +0000
@@ -16,7 +16,7 @@
 /* Functions to check if a row is unique */
 
 #include "myisam_priv.h"
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 
 bool mi_check_unique(MI_INFO *info, MI_UNIQUEDEF *def, unsigned char *record,
 			ha_checksum unique_hash, my_off_t disk_pos)

=== modified file 'plugin/myisam/my_handler.cc'
--- plugin/myisam/my_handler.cc	2009-12-11 21:54:18 +0000
+++ plugin/myisam/my_handler.cc	2009-12-23 09:21:06 +0000
@@ -19,7 +19,7 @@
 
 #include "config.h"
 
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <drizzled/base.h>
 #include <plugin/myisam/my_handler.h>
 #include <mysys/my_sys.h>

=== modified file 'plugin/myisam/my_handler.h'
--- plugin/myisam/my_handler.h	2009-08-30 00:26:17 +0000
+++ plugin/myisam/my_handler.h	2009-12-23 09:21:06 +0000
@@ -18,7 +18,7 @@
 #ifndef PLUGIN_MYISAM_MY_HANDLER_H
 #define PLUGIN_MYISAM_MY_HANDLER_H
 
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <plugin/myisam/myisampack.h>
 #ifdef	__cplusplus
 extern "C" {

=== modified file 'plugin/myisam/myisam.h'
--- plugin/myisam/myisam.h	2009-12-15 19:19:16 +0000
+++ plugin/myisam/myisam.h	2009-12-23 09:21:06 +0000
@@ -26,7 +26,7 @@
 
 #include <drizzled/base.h>
 #ifndef _m_ctype_h
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #endif
 #ifndef _keycache_h
 #include "keycache.h"

=== modified file 'tests/resolve_stack_dump.cc'
--- tests/resolve_stack_dump.cc	2009-12-23 08:01:21 +0000
+++ tests/resolve_stack_dump.cc	2009-12-23 09:21:06 +0000
@@ -18,7 +18,7 @@
  */
 
 #include "config.h"
-#include <mystrings/m_ctype.h>
+#include "drizzled/charset_info.h"
 #include <mysys/my_sys.h>
 #include <mystrings/m_string.h>
 #include <errno.h>

